# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# score used to identify players
scoreboard objectives add death_curse_id dummy
scoreboard players add global death_curse_id 0

scoreboard objectives add death_curse_disable dummy

scoreboard objectives add death_curse_deaths deathCount
scoreboard objectives add death_curse_time_alive minecraft.custom:time_since_death
scoreboard objectives add death_curse_hp health
scoreboard objectives add death_curse_food food

scoreboard objectives add death_curse_eaten_beetroot_soup minecraft.used:minecraft.beetroot_soup
scoreboard objectives add death_curse_eaten_cookie minecraft.used:minecraft.cookie
scoreboard objectives add death_curse_slept minecraft.custom:minecraft.sleep_in_bed

# players' current curse level
scoreboard objectives add death_curse_curse_level dummy
# used to track a players change in curse level
scoreboard objectives add death_curse_prev_level dummy

# trigger for the death curse introduction message
scoreboard objectives add death_curse_intro trigger
# trigger to give the player a death curse guide book
scoreboard objectives add death_curse_book trigger
# trigger for sending curse level message
scoreboard objectives add death_curse_level trigger

# used to mark introduced players
scoreboard objectives add death_curse_introduced dummy
# how many times a player has been given a death curse book
scoreboard objectives add death_curse_n_books dummy

# death increase effect duration
scoreboard objectives add death_curse_deaths_increase dummy
# death decrease effect durations
scoreboard objectives add death_curse_deaths_decrease1 dummy
scoreboard objectives add death_curse_deaths_decrease2 dummy
scoreboard objectives add death_curse_deaths_decrease3 dummy

scoreboard objectives add death_curse_hostile dummy

# --- curse effects --- #

# cd timers
scoreboard objectives add death_curse_30s_cd dummy
scoreboard objectives add death_curse_45s_cd dummy
scoreboard objectives add death_curse_1m40s_cd dummy
scoreboard objectives add death_curse_2m_cd dummy
scoreboard objectives add death_curse_3m_cd dummy
scoreboard objectives add death_curse_5m_cd dummy

scoreboard objectives add death_curse_fatigue1 dummy

# player
scoreboard objectives add death_curse_cloaking dummy
# hostile
scoreboard objectives add death_curse_cloak dummy
# used to keep track of which player level 1 cloaked a mob (hostile mob)
scoreboard objectives add death_curse_cloak1_id dummy
# used to keep track of which player level 2 cloaked a mob (hostile mob)
scoreboard objectives add death_curse_cloak2_id dummy
# used to keep track of what curse level the cloaking player was when applying a cloak to a mob (hostile mob)
scoreboard objectives add death_curse_cloak_level dummy

scoreboard objectives add death_curse_fatigue2 dummy

scoreboard objectives add death_curse_poison dummy

scoreboard objectives add death_curse_fatigue3 dummy

# player
scoreboard objectives add death_curse_mob_aggression dummy
# 1 if a mob is a hostile mob is close, 0 otherwise
scoreboard objectives add death_curse_mob_aggression_close dummy
# hostile
scoreboard objectives add death_curse_angry dummy

scoreboard objectives add death_curse_feared dummy
# duration until initial feared sound can be played again
scoreboard objectives add death_curse_feared_init dummy

# ------ #

# player holding curse cookie detection
scoreboard objectives add death_curse_holding_curse_cookie1 dummy
scoreboard objectives add death_curse_holding_curse_cookie2 dummy
scoreboard objectives add death_curse_holding_curse_cookie3 dummy
# curse cookie effect durations
scoreboard objectives add death_curse_curse_cookie1_effect dummy
scoreboard objectives add death_curse_curse_cookie2_effect dummy
scoreboard objectives add death_curse_curse_cookie3_effect dummy

# player holding resurrection abomination detection
scoreboard objectives add death_curse_holding_res_abom1 dummy
scoreboard objectives add death_curse_holding_res_abom2 dummy
scoreboard objectives add death_curse_holding_res_abom3 dummy
# resurrection abomination effect timers (1 until midnight. increases by 1 every second at midnight)
scoreboard objectives add death_curse_res_abom_effect1 dummy
scoreboard objectives add death_curse_res_abom_effect2 dummy
scoreboard objectives add death_curse_res_abom_effect3 dummy

# player resurrected mark
scoreboard objectives add death_curse_resurrected1 dummy
scoreboard objectives add death_curse_resurrected2 dummy
scoreboard objectives add death_curse_resurrected3 dummy

# resurrection abomination side effect durations
scoreboard objectives add death_curse_15s_cd dummy
scoreboard objectives add death_curse_shiver dummy
scoreboard objectives add death_curse_panic dummy

# smoke effect mark
scoreboard objectives add death_curse_smoke dummy
# strike effect mark
scoreboard objectives add death_curse_strike dummy

# values used for function arguments, return values, or arithmetic
scoreboard objectives add death_curse_temp1 dummy
scoreboard objectives add death_curse_temp2 dummy
scoreboard objectives add death_curse_temp3 dummy
scoreboard objectives add death_curse_result1 dummy
scoreboard objectives add death_curse_result2 dummy

# global timers
schedule function death_curse:timer/1t 1t
schedule function death_curse:timer/2t 2t
schedule function death_curse:timer/10t 10t
schedule function death_curse:timer/1s 1s
schedule function death_curse:timer/10s 10s
