# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# 10s (200t) timer
schedule function death_curse:timer/10s 10s

# -------------------------------------------- Items --------------------------------------------- #

execute as @e[type=item] run function death_curse:timer/10s/all_items
# pick one curse ward that can create an upgraded one, create it, and repeat recursively
execute as @e[type=item,scores={death_curse_time_alive=2..,death_curse_result1=4..},nbt={Item:{id:"minecraft:enchanted_book",tag:{CustomModelData:379300}}},limit=1] run function death_curse:timer/10s/create_curse_ward2
execute as @e[type=item,scores={death_curse_time_alive=2..,death_curse_result1=4..},nbt={Item:{id:"minecraft:enchanted_book",tag:{CustomModelData:379301}}},limit=1] run function death_curse:timer/10s/create_curse_ward3
# pick one resurrection abomination that can create an upgraded one, create it, and repeat recursively
execute as @e[type=item,scores={death_curse_time_alive=2..,death_curse_result1=4..},nbt={Item:{id:"minecraft:beetroot_soup",tag:{CustomModelData:379306}}},limit=1] run function death_curse:timer/10s/create_res_abom2
execute as @e[type=item,scores={death_curse_time_alive=2..,death_curse_result1=4..},nbt={Item:{id:"minecraft:beetroot_soup",tag:{CustomModelData:379307}}},limit=1] run function death_curse:timer/10s/create_res_abom3

# ------------------------------------------- Players -------------------------------------------- #

execute as @a run function death_curse:timer/10s/all_players

# death_curse_result1 set to 1 if any player is under any res. abom. effect
scoreboard players set global death_curse_result1 0
execute if entity @a[scores={death_curse_res_abom_effect1=1..}] run scoreboard players set global death_curse_result1 1
execute if entity @a[scores={death_curse_res_abom_effect2=1..}] run scoreboard players set global death_curse_result1 1
execute if entity @a[scores={death_curse_res_abom_effect3=1..}] run scoreboard players set global death_curse_result1 1

# if between sunset & midnight and someone ate a res. abom., make it thunder
execute store result score global death_curse_temp1 run time query daytime
execute if score global death_curse_result1 matches 1 run execute if score global death_curse_temp1 matches 12001..18005 run weather thunder

# if any other time and someone ate a res. abom., make it rain
execute if score global death_curse_result1 matches 1 run execute if score global death_curse_temp1 matches 0..12000 run weather rain
execute if score global death_curse_result1 matches 1 run execute if score global death_curse_temp1 matches 18006..24000 run weather rain
