# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# For every resurrection abomination 2...
# - if on fire & in nether, increment @s death_curse_time_alive, otherwise @s death_curse_time_alive = 0
# - if death_curse_time_alive is 2+, set @s death_curse_result1 = number of nearby death_curse_time_alive=2+ resurrection abomination 2s, otherwise @s death_curse_result1 = 0
# - also set never despawn

# set never despawn
data modify entity @s Age set value -32768s

# store on fire to global death_curse_temp1
execute store result score global death_curse_temp1 run data get entity @s Fire

# save in nether to global death_curse_temp2
scoreboard players set global death_curse_temp2 0
execute at @s run execute if predicate death_curse:in_nether run scoreboard players set global death_curse_temp2 1

# increment time alive if on fire
execute if score global death_curse_temp1 matches 1.. run scoreboard players add @s death_curse_time_alive 1
# reset time alive if not on fire
execute if score global death_curse_temp1 matches ..0 run scoreboard players set @s death_curse_time_alive 0
# reset time alive if not in nether
execute if score global death_curse_temp2 matches ..0 run scoreboard players set @s death_curse_time_alive 0

# 10s till ready particle effect
execute as @s[scores={death_curse_time_alive=1}] run function death_curse:timer/10s/all_items/res_abom2/soon_particle

# if time alive is cooked enough, count close and cooked enough resurrection abomination 2s into global death_curse_result1
scoreboard players set global death_curse_result1 0
execute if score @s death_curse_time_alive matches 2.. at @s as @e[type=item,scores={death_curse_time_alive=2..},nbt={Item:{id:"minecraft:beetroot_soup",tag:{CustomModelData:379307}}},distance=..1] run scoreboard players add global death_curse_result1 1

# save count to @s death_curse_result1
scoreboard players operation @s death_curse_result1 = global death_curse_result1
