# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# activates titles, sounds, particle effects, and advancements on player respawn

# die advancement
execute as @s[scores={death_curse_deaths=1..}] run advancement grant @s only death_curse:root

# if marked from resurrection, global death_curse_temp1 = 1, else 0
scoreboard players set global death_curse_temp1 0
execute if score @s death_curse_resurrected1 matches 1 run scoreboard players set global death_curse_temp1 1
execute if score @s death_curse_resurrected2 matches 1 run scoreboard players set global death_curse_temp1 1
execute if score @s death_curse_resurrected3 matches 1 run scoreboard players set global death_curse_temp1 1

# --------------------------------------------- died --------------------------------------------- #

title @s times 100 50 100

execute if score global death_curse_temp1 matches 0 run function death_curse:timer/10t/all_players/respawned/died

# ----------------------------------------- resurrected ------------------------------------------ #

execute if score global death_curse_temp1 matches 1 run function death_curse:timer/10t/all_players/respawned/resurrected

# ------------------------------------------------------------------------------------------------ #

# max health attribute
execute as @s[scores={death_curse_deaths=2..3}] run attribute @s generic.max_health base set 18
execute as @s[scores={death_curse_deaths=4..5}] run attribute @s generic.max_health base set 16
execute as @s[scores={death_curse_deaths=6..7}] run attribute @s generic.max_health base set 14
execute as @s[scores={death_curse_deaths=8..9}] run attribute @s generic.max_health base set 12
execute as @s[scores={death_curse_deaths=10..}] run attribute @s generic.max_health base set 10
# fixes hidden hp when reducing max hp
effect give @s instant_health
