# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# outside inside
execute store result score global death_curse_temp1 run data get entity @s Pos[1]
execute as @s at @s run function death_curse:util/check_outside

# fail if inside
execute if score global death_curse_temp1 matches ..319 run function death_curse:timer/1s/all_players/resurrection_event2/failed

# fail if not in overworld
scoreboard players set global death_curse_temp1 0
execute at @s run execute if predicate death_curse:in_overworld run scoreboard players set global death_curse_temp1 1
execute if score global death_curse_temp1 matches 0 run function death_curse:timer/1s/all_players/resurrection_event2/failed

# --------------------------------------- scripted events ---------------------------------------- #

# at 2 seconds
# resistances for lightning effects
execute as @s[scores={death_curse_res_abom_effect2=2}] run function death_curse:timer/1s/all_players/resurrection_event/2s

# at 3 seconds
execute as @s[scores={death_curse_res_abom_effect2=3}] at @s run function death_curse:timer/1s/all_players/resurrection_event2/3s

# 3-5 seconds clear the fire
execute as @s[scores={death_curse_res_abom_effect2=3..5}] at @s run fill ~-1 ~-1 ~-1 ~1 ~2 ~1 air replace fire

# at 11 seconds
execute as @s[scores={death_curse_res_abom_effect2=11}] at @s run function death_curse:timer/1s/all_players/resurrection_event/up

# at 35+ seconds and alive
execute as @s[scores={death_curse_time_alive=1..,death_curse_res_abom_effect2=35..}] at @s run function death_curse:timer/1s/all_players/resurrection_event2/35s

# ------------------------------------------------------------------------------------------------ #

# increment timer
execute as @s[scores={death_curse_res_abom_effect2=1..}] run scoreboard players add @s death_curse_res_abom_effect2 1
