# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# calculate the player's curse level from death count, death wards, and other effects and react to
# any changes in curse level every 2t (0.1s)

# curse wards
execute store result score global death_curse_result1 run clear @s minecraft:enchanted_book{CustomModelData:379300} 0

execute store result score global death_curse_temp1 run clear @s minecraft:enchanted_book{CustomModelData:379301} 0
scoreboard players set global death_curse_temp2 3
scoreboard players operation global death_curse_temp1 *= global death_curse_temp2
scoreboard players operation global death_curse_result1 += global death_curse_temp1

execute store result score global death_curse_temp1 run clear @s minecraft:enchanted_book{CustomModelData:379302} 0
scoreboard players set global death_curse_temp2 11
scoreboard players operation global death_curse_temp1 *= global death_curse_temp2
scoreboard players operation global death_curse_result1 += global death_curse_temp1

# curse cookies
execute if score @s death_curse_curse_cookie1_effect matches 1.. run scoreboard players add global death_curse_result1 1
execute if score @s death_curse_curse_cookie2_effect matches 1.. run scoreboard players add global death_curse_result1 3
execute if score @s death_curse_curse_cookie3_effect matches 1.. run scoreboard players add global death_curse_result1 11

# set level with reduction
scoreboard players operation @s death_curse_curse_level = @s death_curse_deaths
scoreboard players operation @s death_curse_curse_level -= global death_curse_result1
execute if score @s death_curse_curse_level matches ..-1 run scoreboard players set @s death_curse_curse_level 0

# check for change in level
scoreboard players add @s death_curse_prev_level 0
scoreboard players operation global death_curse_result2 = @s death_curse_curse_level
scoreboard players operation global death_curse_result2 -= @s death_curse_prev_level

# --- decrease level --- #

execute if score @s death_curse_time_alive matches 1.. run execute if score global death_curse_result2 matches ..-1 run function death_curse:timer/2t/all_players/calc_level/decrease_level

# --- increase level --- #

execute if score @s death_curse_time_alive matches 1.. run execute if score global death_curse_result2 matches 1.. run function death_curse:timer/2t/all_players/calc_level/increase_level

# -------------------- #

# set previous curse level
scoreboard players operation @s death_curse_prev_level = @s death_curse_curse_level
