# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# apply curse cookie effects to players who just ate a curse cookie every 2t (0.1s)

# check if holding curse cookie
scoreboard players set @s[nbt={SelectedItem:{id:"minecraft:cookie",tag:{CustomModelData:379303}}}] death_curse_holding_curse_cookie1 2
scoreboard players set @s[nbt={SelectedItem:{id:"minecraft:cookie",tag:{CustomModelData:379304}}}] death_curse_holding_curse_cookie2 2
scoreboard players set @s[nbt={SelectedItem:{id:"minecraft:cookie",tag:{CustomModelData:379305}}}] death_curse_holding_curse_cookie3 2

scoreboard players add @s death_curse_curse_cookie1_effect 0
scoreboard players add @s death_curse_curse_cookie2_effect 0
scoreboard players add @s death_curse_curse_cookie3_effect 0

# --- curse cookie 1 --- #

# player ate a cookie, is holding a curse cookie 1, is under the effects of cookie2 or cookie3
execute as @s[scores={death_curse_eaten_cookie=1..,death_curse_holding_curse_cookie1=1..,death_curse_curse_cookie2_effect=1..}] run title @s actionbar  {"text":"Nothing happened...","italic":true}
execute as @s[scores={death_curse_eaten_cookie=1..,death_curse_holding_curse_cookie1=1..,death_curse_curse_cookie3_effect=1..}] run title @s actionbar  {"text":"Nothing happened...","italic":true}

# player ate a cookie, is holding a curse cookie 1, is not under the effects of cookie2 or cookie3
execute as @s[scores={death_curse_eaten_cookie=1..,death_curse_holding_curse_cookie1=1..,death_curse_curse_cookie2_effect=..0,death_curse_curse_cookie3_effect=..0}] run function death_curse:timer/2t/all_players/curse_cookie/apply_1

# --- curse cookie 2 --- #

# player ate a cookie, is holding a curse cookie 2, is under the effects of cookie3
execute as @s[scores={death_curse_eaten_cookie=1..,death_curse_holding_curse_cookie2=1..,death_curse_curse_cookie3_effect=1..}] run title @s actionbar  {"text":"Nothing happened...","italic":true}

# player ate a cookie, is holding a curse cookie 2, is not under the effects of cookie3
execute as @s[scores={death_curse_eaten_cookie=1..,death_curse_holding_curse_cookie2=1..,death_curse_curse_cookie3_effect=..0}] run function death_curse:timer/2t/all_players/curse_cookie/apply_2

# --- curse cookie 3 --- #

# player ate a cookie, is holding a curse cookie 3
execute as @s[scores={death_curse_eaten_cookie=1..,death_curse_holding_curse_cookie3=1..}] run function death_curse:timer/2t/all_players/curse_cookie/apply_3

# ---------------------- #

# decay holding curse cookie timer
scoreboard players remove @s death_curse_holding_curse_cookie1 1
scoreboard players remove @s death_curse_holding_curse_cookie2 1
scoreboard players remove @s death_curse_holding_curse_cookie3 1

# reset eaten cookie score
scoreboard players reset @s death_curse_eaten_cookie
