# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# curse reds
# 2     #AA0000 170 0 0
# 2     #990000 153 0 0
# 3     #880000 136 0 0
# 4     #770000 119 0 0
# 5     #660000 102 0 0
# 6     #550000 85 0 0
# 7     #440000 68 0 0
# 8     #330000 51 0 0
# 9     #220000 34 0 0
# 10+   #000000 1 0 0

# heal greens
# 0     #46ffd3 70 0 211
# 1     #22D3A9 34 211 169
# 2     #1FC19B 70 0 211
# 3     #1DAF8D 29 175 141
# 4     #1A9E7F 26 158 127
# 5     #16886E 22 136 110
# 6     #12725C 18 114 92
# 7     #0F614E 15 97 78
# 8     #0c4b3c 12 75 60
# 9     #062921 6 41 33
# 10+   #000000 1 0 0

# creates 2t (0.1s) particle effects for the player

# --- mob aggression when hostile is near --- #

execute as @s[scores={death_curse_mob_aggression=1..,death_curse_mob_aggression_close=1}] at @s run particle smoke ~ ~0.45 ~ 0.15 0.225 0.15 0 1

# --- fear --- #

execute as @s[scores={death_curse_feared=9..}] at @s run particle ambient_entity_effect ~ ~ ~ 1 0 0 255 0

# --- fatigue 1 --- #

execute as @s[scores={death_curse_fatigue1=1..}] at @s run function death_curse:timer/2t/all_players/particles/fatigue1

# --- fatigue 2 --- #

execute as @s[scores={death_curse_fatigue2=1..}] at @s run function death_curse:timer/2t/all_players/particles/fatigue2

# --- fatigue 3 --- #

execute as @s[scores={death_curse_fatigue3=1..}] at @s run function death_curse:timer/2t/all_players/particles/fatigue3

# --- cloaking --- #

execute as @s[scores={death_curse_cloaking=1..}] at @s run function death_curse:timer/2t/all_players/particles/cloaking

# --- poison --- #

execute as @s[scores={death_curse_poison=1..}] at @s run function death_curse:timer/2t/all_players/particles/poison

# --- resurrection abomination 1-3 --- #

execute as @s[scores={death_curse_res_abom_effect1=1..3}] at @s run particle ash ~ ~0.9 ~ 0.15 0.45 0.15 0 2
execute as @s[scores={death_curse_res_abom_effect2=1..3}] at @s run particle falling_obsidian_tear ~ ~0.9 ~ 0.15 0.45 0.15 0 1
execute as @s[scores={death_curse_res_abom_effect3=1..3}] at @s run particle enchant ~ ~0.9 ~ 0.15 0.45 0.15 0 1

# --- death increase --- #

execute as @s[scores={death_curse_deaths_increase=1..}] at @s run function death_curse:timer/2t/all_players/particles/deaths_increase

# --- death decrease 1-3 --- #

execute as @s[scores={death_curse_deaths_decrease1=1..}] at @s run function death_curse:timer/2t/all_players/particles/deaths_decrease1

execute as @s[scores={death_curse_deaths_decrease2=1..}] at @s run function death_curse:timer/2t/all_players/particles/deaths_decrease2

execute as @s[scores={death_curse_deaths_decrease3=1..}] at @s run function death_curse:timer/2t/all_players/particles/deaths_decrease3

# --- smoke 1-3 --- #

execute as @s[scores={death_curse_smoke=1}] at @s run function death_curse:timer/2t/all_players/particles/smoke1

execute as @s[scores={death_curse_smoke=2}] at @s run function death_curse:timer/2t/all_players/particles/smoke2

execute as @s[scores={death_curse_smoke=3}] at @s run function death_curse:timer/2t/all_players/particles/smoke3
