# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# Apply res. abom. effects to player executors who just ate a res. abom.

# check if holding res. abom.
scoreboard players set @s[nbt={SelectedItem:{id:"minecraft:beetroot_soup",tag:{CustomModelData:379306}}}] death_curse_holding_res_abom1 2
scoreboard players set @s[nbt={SelectedItem:{id:"minecraft:beetroot_soup",tag:{CustomModelData:379307}}}] death_curse_holding_res_abom2 2
scoreboard players set @s[nbt={SelectedItem:{id:"minecraft:beetroot_soup",tag:{CustomModelData:379308}}}] death_curse_holding_res_abom3 2

scoreboard players add @s death_curse_res_abom_effect1 0
scoreboard players add @s death_curse_res_abom_effect2 0
scoreboard players add @s death_curse_res_abom_effect3 0

# player ate a beetroot_soup and is holding a res. abom. 1
execute as @s[scores={death_curse_eaten_beetroot_soup=1..,death_curse_holding_res_abom1=1..}] run function death_curse:timer/2t/all_players/res_abom/ate_res_abom1

# player ate a beetroot_soup and is holding a res. abom. 2
execute as @s[scores={death_curse_eaten_beetroot_soup=1..,death_curse_holding_res_abom2=1..}] run function death_curse:timer/2t/all_players/res_abom/ate_res_abom2

# player ate a beetroot_soup and is holding a res. abom. 3
execute as @s[scores={death_curse_eaten_beetroot_soup=1..,death_curse_holding_res_abom3=1..}] run function death_curse:timer/2t/all_players/res_abom/ate_res_abom3

# decay holding res. abom. timer
scoreboard players remove @s death_curse_holding_res_abom1 1
scoreboard players remove @s death_curse_holding_res_abom2 1
scoreboard players remove @s death_curse_holding_res_abom3 1

# reset eaten cookie score
scoreboard players reset @s death_curse_eaten_beetroot_soup
