# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# executed on every player every 10t (0.5s)

# --- triggers --- #
execute as @s[scores={death_curse_intro=1..}] run function death_curse:timer/10t/all_players/intro_trigger
scoreboard players enable @s death_curse_intro
scoreboard players set @s death_curse_intro 0

execute as @s[scores={death_curse_book=1..}] run function death_curse:timer/10t/all_players/give_book_trigger
scoreboard players enable @s death_curse_book
scoreboard players set @s death_curse_book 0

execute as @s[scores={death_curse_level=1..}] run function death_curse:timer/10t/all_players/curse_level_trigger
scoreboard players enable @s death_curse_level
scoreboard players set @s death_curse_level 0

# --- dead/respawned --- #

execute as @s[scores={death_curse_time_alive=0}] run function death_curse:timer/10t/all_players/dead
execute as @s[scores={death_curse_time_alive=1..10}] run function death_curse:timer/10t/all_players/respawned

# --- clear event effects if the event was started but was interrupted without a failure (player disconnect) --- #

# death_curse_result_1 = -1 if midnight otherwise it's 0+
execute store result score global death_curse_result1 run time query daytime
execute if score global death_curse_result1 matches 18000 run scoreboard players set global death_curse_result1 -1

execute if score global death_curse_result1 matches 0.. as @a[scores={death_curse_res_abom_effect1=2..}] run function death_curse:timer/10t/all_players/clear_event1
execute if score global death_curse_result1 matches 0.. as @a[scores={death_curse_res_abom_effect2=2..}] run function death_curse:timer/10t/all_players/clear_event2
execute if score global death_curse_result1 matches 0.. as @a[scores={death_curse_res_abom_effect3=2..}] run function death_curse:timer/10t/all_players/clear_event3
