# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# clear effect and make resurrection event changes while the player is dead

scoreboard players set @s[scores={death_curse_disable=1}] death_curse_deaths 0

# clear effects
scoreboard players set @s death_curse_fatigue1 0
scoreboard players set @s death_curse_fatigue2 0
scoreboard players set @s death_curse_fatigue3 0
scoreboard players set @s death_curse_poison 0
scoreboard players set @s death_curse_cloaking 0
scoreboard players set @s death_curse_mob_aggression 0
scoreboard players set @s death_curse_feared 0
scoreboard players set @s death_curse_feared_init 0

scoreboard players set @s death_curse_curse_cookie1_effect 0
scoreboard players set @s death_curse_curse_cookie2_effect 0
scoreboard players set @s death_curse_curse_cookie3_effect 0

scoreboard players set @s death_curse_twitch 0
scoreboard players set @s death_curse_shiver 0
scoreboard players set @s death_curse_panic 0

scoreboard players set @s death_curse_smoke 0
scoreboard players set @s death_curse_strike 0

scoreboard players set @s death_curse_deaths_increase 0
scoreboard players set @s death_curse_deaths_decrease1 0
scoreboard players set @s death_curse_deaths_decrease2 0
scoreboard players set @s death_curse_deaths_decrease3 0

# remove matching player lock marker
scoreboard players operation global death_curse_temp1 = @s death_curse_id
execute as @e[type=marker,tag=death_curse_res_event] run execute if score @s death_curse_id = global death_curse_temp1 run kill @s

# ---------------------------- resurrection event ---------------------------- #

# clear event mobs
execute if score @s death_curse_res_abom_effect1 matches 1.. run function death_curse:timer/10t/all_players/dead/clear_event_mobs
execute if score @s death_curse_res_abom_effect2 matches 1.. run function death_curse:timer/10t/all_players/dead/clear_event_mobs
execute if score @s death_curse_res_abom_effect3 matches 1.. run function death_curse:timer/10t/all_players/dead/clear_event_mobs

execute if score @s death_curse_res_abom_effect1 matches 36.. run function death_curse:timer/10t/all_players/dead/decrease_death1

execute if score @s death_curse_res_abom_effect2 matches 36.. run function death_curse:timer/10t/all_players/dead/decrease_death2

execute if score @s death_curse_res_abom_effect3 matches 36.. run function death_curse:timer/10t/all_players/dead/decrease_death3

# fail if resurrection event if dead before lightning
execute as @s[scores={death_curse_res_abom_effect1=2..34}] run function death_curse:timer/1s/all_players/resurrection_event1/failed
execute as @s[scores={death_curse_res_abom_effect2=2..34}] run function death_curse:timer/1s/all_players/resurrection_event2/failed
execute as @s[scores={death_curse_res_abom_effect3=2..34}] run function death_curse:timer/1s/all_players/resurrection_event3/failed

scoreboard players set @s death_curse_res_abom_effect1 0
scoreboard players set @s death_curse_res_abom_effect2 0
scoreboard players set @s death_curse_res_abom_effect3 0
