# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

scoreboard players add @s death_curse_15s_cd 0
scoreboard players add @s death_curse_30s_cd 0
scoreboard players add @s death_curse_45s_cd 0
scoreboard players add @s death_curse_1m40s_cd 0
scoreboard players add @s death_curse_2m_cd 0
scoreboard players add @s death_curse_3m_cd 0
scoreboard players add @s death_curse_5m_cd 0

# ---------------------------------- decrease effect durations ----------------------------------- #

execute as @s[scores={death_curse_deaths_increase=1..}] run scoreboard players remove @s death_curse_deaths_increase 1
execute as @s[scores={death_curse_deaths_decrease1=1..}] run scoreboard players remove @s death_curse_deaths_decrease1 1
execute as @s[scores={death_curse_deaths_decrease2=1..}] run scoreboard players remove @s death_curse_deaths_decrease2 1
execute as @s[scores={death_curse_deaths_decrease3=1..}] run scoreboard players remove @s death_curse_deaths_decrease3 1
execute as @s[scores={death_curse_fatigue1=1..}] run scoreboard players remove @s death_curse_fatigue1 1
execute as @s[scores={death_curse_cloaking=1..}] run scoreboard players remove @s death_curse_cloaking 1
execute as @s[scores={death_curse_fatigue2=1..}] run scoreboard players remove @s death_curse_fatigue2 1
execute as @s[scores={death_curse_poison=1..}] run scoreboard players remove @s death_curse_poison 1
execute as @s[scores={death_curse_fatigue3=1..}] run scoreboard players remove @s death_curse_fatigue3 1
execute as @s[scores={death_curse_mob_aggression=1..}] run scoreboard players remove @s death_curse_mob_aggression 1
execute as @s[scores={death_curse_feared=1..}] run scoreboard players remove @s death_curse_feared 1
execute as @s[scores={death_curse_feared_init=1..}] run scoreboard players remove @s death_curse_feared_init 1
execute as @s[scores={death_curse_curse_cookie1_effect=1..}] run scoreboard players remove @s death_curse_curse_cookie1_effect 1
execute as @s[scores={death_curse_curse_cookie2_effect=1..}] run scoreboard players remove @s death_curse_curse_cookie2_effect 1
execute as @s[scores={death_curse_curse_cookie3_effect=1..}] run scoreboard players remove @s death_curse_curse_cookie3_effect 1
execute as @s[scores={death_curse_shiver=1..}] run scoreboard players remove @s death_curse_shiver 1

# ------------------------------------- apply effects on cd -------------------------------------- #

# # --- curse level 1 --- #

execute as @s[scores={death_curse_curse_level=1}] run function death_curse:timer/1s/all_players/manage_effects/curse_level1

# --- curse level 2 --- #

execute as @s[scores={death_curse_curse_level=2}] run function death_curse:timer/1s/all_players/manage_effects/curse_level2

# --- curse level 3 --- #

execute as @s[scores={death_curse_curse_level=3}] run function death_curse:timer/1s/all_players/manage_effects/curse_level3

# --- curse level 4 --- #

execute as @s[scores={death_curse_curse_level=4}] run function death_curse:timer/1s/all_players/manage_effects/curse_level4

# --- curse level 5 --- #

execute as @s[scores={death_curse_curse_level=5}] run function death_curse:timer/1s/all_players/manage_effects/curse_level5

# --- curse level 6 --- #

execute as @s[scores={death_curse_curse_level=6}] run function death_curse:timer/1s/all_players/manage_effects/curse_level6

# --- curse level 7 --- #

execute as @s[scores={death_curse_curse_level=7}] run function death_curse:timer/1s/all_players/manage_effects/curse_level7

# --- curse level 8 --- #

execute as @s[scores={death_curse_curse_level=8}] run function death_curse:timer/1s/all_players/manage_effects/curse_level8

# --- curse level 9 --- #

execute as @s[scores={death_curse_curse_level=9}] run function death_curse:timer/1s/all_players/manage_effects/curse_level9

# --- curse level 10+ --- #

execute as @s[scores={death_curse_curse_level=10..}] run function death_curse:timer/1s/all_players/manage_effects/curse_level10

# --- resurrection abomination 1 --- #

execute as @s[scores={death_curse_res_abom_effect1=1,death_curse_15s_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/res_abom1

# --- resurrection abomination 2 --- #

execute as @s[scores={death_curse_res_abom_effect2=1,death_curse_15s_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/res_abom2

# --- resurrection abomination 3 --- #

execute as @s[scores={death_curse_res_abom_effect3=1,death_curse_15s_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/res_abom3

# ------------------------------------------ reset cds ------------------------------------------- #

execute as @s[scores={death_curse_15s_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/reset_15s_cd

execute as @s[scores={death_curse_30s_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/reset_30s_cd

execute as @s[scores={death_curse_45s_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/reset_45s_cd

execute as @s[scores={death_curse_1m40s_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/reset_1m40s_cd

execute as @s[scores={death_curse_2m_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/reset_2m_cd

execute as @s[scores={death_curse_3m_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/reset_3m_cd

execute as @s[scores={death_curse_5m_cd=0}] run function death_curse:timer/1s/all_players/manage_effects/reset_5m_cd

# ----------------------------------- decrease cooldown timers ----------------------------------- #

scoreboard players remove @s death_curse_15s_cd 1

# only on alive players not in resurrection event
execute as @s[scores={death_curse_time_alive=1..,death_curse_res_abom_effect1=..1,death_curse_res_abom_effect2=..1,death_curse_res_abom_effect3=..1}] run function death_curse:timer/1s/all_players/manage_effects/decrease_curse_cooldowns
