# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# cloaks 1 hostile mob within 30 blocks of the executor (must be positioned at the exectuor)

# which player is trying to apply the curse
scoreboard players operation global death_curse_temp1 = @s death_curse_id
# count the number cursed by this player
scoreboard players set global death_curse_result1 0

# mark cloakable mobs
# skipped underwater mobs as they don't show particles correctly
# skipped illusioner because cloak makes them easier to fight
# skipped shulker cause the effect wasn't great
execute if score global death_curse_result1 matches 0 as @e[type=blaze] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=creeper] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=endermite] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=evoker] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=ghast] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=hoglin] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=husk] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=magma_cube] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=phantom] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=piglin_brute] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=pillager] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=ravager] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=shulker] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=silverfish] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=skeleton] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=slime] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=stray] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=vex] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=vindicator] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=witch] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=wither] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=wither_skeleton] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=zoglin] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=zombie] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=zombie_villager] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=cave_spider] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=enderman] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=piglin] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=spider] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile
execute if score global death_curse_result1 matches 0 as @e[type=zombified_piglin] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/mark_hostile

# cloak a random hostile mob
scoreboard players operation global death_curse_temp2 = @s death_curse_curse_level
execute if score global death_curse_result1 matches 0 as @e[scores={death_curse_hostile=1},sort=random,limit=1] run function death_curse:timer/1s/all_players/manage_effects/curse/curse_leak1/cloak1

# remove hostile mark
scoreboard players set @e[type=blaze] death_curse_hostile 0
scoreboard players set @e[type=creeper] death_curse_hostile 0
scoreboard players set @e[type=endermite] death_curse_hostile 0
scoreboard players set @e[type=evoker] death_curse_hostile 0
scoreboard players set @e[type=ghast] death_curse_hostile 0
scoreboard players set @e[type=hoglin] death_curse_hostile 0
scoreboard players set @e[type=husk] death_curse_hostile 0
scoreboard players set @e[type=magma_cube] death_curse_hostile 0
scoreboard players set @e[type=phantom] death_curse_hostile 0
scoreboard players set @e[type=piglin_brute] death_curse_hostile 0
scoreboard players set @e[type=pillager] death_curse_hostile 0
scoreboard players set @e[type=ravager] death_curse_hostile 0
scoreboard players set @e[type=shulker] death_curse_hostile 0
scoreboard players set @e[type=silverfish] death_curse_hostile 0
scoreboard players set @e[type=skeleton] death_curse_hostile 0
scoreboard players set @e[type=slime] death_curse_hostile 0
scoreboard players set @e[type=stray] death_curse_hostile 0
scoreboard players set @e[type=vex] death_curse_hostile 0
scoreboard players set @e[type=vindicator] death_curse_hostile 0
scoreboard players set @e[type=witch] death_curse_hostile 0
scoreboard players set @e[type=wither] death_curse_hostile 0
scoreboard players set @e[type=wither_skeleton] death_curse_hostile 0
scoreboard players set @e[type=zoglin] death_curse_hostile 0
scoreboard players set @e[type=zombie] death_curse_hostile 0
scoreboard players set @e[type=zombie_villager] death_curse_hostile 0
scoreboard players set @e[type=cave_spider] death_curse_hostile 0
scoreboard players set @e[type=enderman] death_curse_hostile 0
scoreboard players set @e[type=piglin] death_curse_hostile 0
scoreboard players set @e[type=spider] death_curse_hostile 0
scoreboard players set @e[type=zombified_piglin] death_curse_hostile 0
