# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# 1t (0.05s) timer
schedule function death_curse:timer/1t 1t

# ------------------------------- Kill Creeper Area Effect Cloud --------------------------------- #

# kill clouds
execute as @e[type=marker,tag=death_curse_cloud_killer] run function death_curse:timer/1t/all_cloud_killers

# summon cloud killer
execute as @e[type=creeper] run function death_curse:timer/1t/all_creepers

# ------------------------------------------- Players -------------------------------------------- #

# death_curse_result1 set to 1 if any player is under any res. abom. effect
scoreboard players set global death_curse_result1 0
execute if entity @a[scores={death_curse_res_abom_effect1=1..}] run scoreboard players set global death_curse_result1 1
execute if entity @a[scores={death_curse_res_abom_effect2=1..}] run scoreboard players set global death_curse_result1 1
execute if entity @a[scores={death_curse_res_abom_effect3=1..}] run scoreboard players set global death_curse_result1 1

# execute at midnight
execute store result score global death_curse_temp1 run time query daytime
execute if score global death_curse_temp1 matches 17990..18000 run function death_curse:timer/1t/midnight

# --------------------------------- Resurrection Event Entities ---------------------------------- #

# player locking markers
execute as @e[type=marker,tag=death_curse_res_event] run function death_curse:timer/1t/lock_players

# move resurrection event mobs up (death_curse_result1 used as a move up flag)
execute as @e[type=skeleton,tag=death_curse_res_event,scores={death_curse_result1=1}] run execute at @s run tp ~ ~0.02 ~
execute as @e[type=wither_skeleton,tag=death_curse_res_event,scores={death_curse_result1=1}] run execute at @s run tp ~ ~0.02 ~
execute as @e[type=ghast,tag=death_curse_res_event,scores={death_curse_result1=1}] run execute at @s run tp ~ ~0.02 ~
