# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# creates a black cloud particle effect (be sure to execute at the executor)
# used (mob height)/4 for y delta, but it's not perfect

# --- mob clouds --- #

execute as @s[type=blaze] run particle squid_ink ~ ~0.9 ~ 0 0.45 0 0 3
execute as @s[type=creeper] run particle squid_ink ~ ~0.85 ~ 0 0.425 0 0 3
execute as @s[type=endermite] run particle squid_ink ~ ~0 ~ 0.01 0.01 0.01 0 1
execute as @s[type=silverfish] run particle squid_ink ~ ~0 ~ 0.01 0.01 0.01 0 1
execute as @s[type=evoker] run particle squid_ink ~ ~0.975 ~ 0 0.4875 0 0 3
execute as @s[type=piglin_brute] run particle squid_ink ~ ~0.975 ~ 0 0.4875 0 0 3
execute as @s[type=pillager] run particle squid_ink ~ ~0.975 ~ 0 0.4875 0 0 3
execute as @s[type=vindicator] run particle squid_ink ~ ~0.975 ~ 0 0.4875 0 0 3
execute as @s[type=witch] run particle squid_ink ~ ~0.975 ~ 0 0.4875 0 0 3
execute as @s[type=ghast] run particle squid_ink ~ ~2 ~ 1 1 1 0 50
execute as @s[type=hoglin] run function death_curse:timer/2t/all_hostiles/particles/cloak/hoglin
execute as @s[type=husk] run function death_curse:timer/2t/all_hostiles/particles/cloak/zombie
execute as @s[type=zombie] run function death_curse:timer/2t/all_hostiles/particles/cloak/zombie
execute as @s[type=zombie_villager] run function death_curse:timer/2t/all_hostiles/particles/cloak/zombie
execute as @s[type=piglin] run function death_curse:timer/2t/all_hostiles/particles/cloak/zombie
execute as @s[type=zombified_piglin] run function death_curse:timer/2t/all_hostiles/particles/cloak/zombie
execute as @s[type=magma_cube] run function death_curse:timer/2t/all_hostiles/particles/cloak/slime
execute as @s[type=slime] run function death_curse:timer/2t/all_hostiles/particles/cloak/slime
execute as @s[type=phantom] run particle squid_ink ~ ~0.25 ~ 0.225 0.125 0.225 0 2
execute as @s[type=ravager] run particle squid_ink ~ ~1.1 ~ 0.4875 0.55 0.4875 0 6
execute as @s[type=skeleton] run particle squid_ink ~ ~0.995 ~ 0 0.4975 0 0 3
execute as @s[type=stray] run particle squid_ink ~ ~0.995 ~ 0 0.4975 0 0 3
execute as @s[type=vex] run particle squid_ink ~ ~0.4 ~ 0 0.2 0 0 1
execute as @s[type=wither_skeleton] run particle squid_ink ~ ~1.2 ~ 0 0.6 0 0 4
execute as @s[type=zoglin] run function death_curse:timer/2t/all_hostiles/particles/cloak/zoglin
execute as @s[type=cave_spider] run particle squid_ink ~ ~0.25 ~ 0.175 0.125 0.175 0 2
execute as @s[type=enderman] run particle squid_ink ~ ~1.45 ~ 0 0.725 0 0 5
execute as @s[type=spider] run particle squid_ink ~ ~0.45 ~ 0.35 0.0 0.35 0 4

# --- additional cloak level color --- #

execute as @s[scores={death_curse_cloak_level=3}] run particle entity_effect ~ ~ ~ 136 0 0 255 0
execute as @s[scores={death_curse_cloak_level=4}] run particle entity_effect ~ ~ ~ 119 0 0 255 0
execute as @s[scores={death_curse_cloak_level=5}] run particle entity_effect ~ ~ ~ 102 0 0 255 0
execute as @s[scores={death_curse_cloak_level=6}] run particle entity_effect ~ ~ ~ 85 0 0 255 0
execute as @s[scores={death_curse_cloak_level=7}] run particle entity_effect ~ ~ ~ 68 0 0 255 0
execute as @s[scores={death_curse_cloak_level=8}] run particle entity_effect ~ ~ ~ 51 0 0 255 0
execute as @s[scores={death_curse_cloak_level=9}] run particle entity_effect ~ ~ ~ 34 0 0 255 0
execute as @s[scores={death_curse_cloak_level=10..}] run particle entity_effect ~ ~ ~ 1 0 0 255 0

# --- helpers --- #




