# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# executed on every player every 2t (0.1s)

# apply particle effects to players
function death_curse:timer/2t/all_players/particles

# calculate curse level for each player
function death_curse:timer/2t/all_players/calc_level

# check if eaten a curse cookie & apply effects
function death_curse:timer/2t/all_players/curse_cookie

# check if eaten a curse cookie & apply effects
function death_curse:timer/2t/all_players/res_abom

# shiver effect
execute as @s[scores={death_curse_shiver=1..}] run function death_curse:timer/2t/all_players/shiver_effect

# strike with lightning only at midnight while alive
execute store result score global death_curse_result1 run time query daytime
execute if score global death_curse_result1 matches 18000 as @a[scores={death_curse_strike=1..,death_curse_time_alive=1..}] run execute at @s run summon lightning_bolt
